<?php

namespace FiloBlu\Flow\Cron;

class Fetch
{

    protected $_processor;
    /**
    * @var Monolog\Logger
    */
    protected $_logger;


    public function __construct(
        \FiloBlu\Flow\Helper\LoggerProvider $loggerProvider,
        \FiloBlu\Flow\Model\Processor $_processor
    ) {
        $this->_logger = $loggerProvider->getLogger();
        $this->_processor = $_processor;
    }

    public function execute() {
        $this->_logger->info(__METHOD__);
        $this->_processor->fetchChannels();
        return $this;
    }

    public function executeBus1() {
        $this->_logger->info(__METHOD__);
        $this->_processor->fetchChannelsByBus(1);
        return $this;
    }

    public function executeBus2() {
        $this->_logger->info(__METHOD__);
        $this->_processor->fetchChannelsByBus(2);
        return $this;
    }

    public function executeBus3() {
        $this->_logger->info(__METHOD__);
        $this->_processor->fetchChannelsByBus(3);
        return $this;
    }

    public function executeBus4() {
        $this->_logger->info(__METHOD__);
        $this->_processor->fetchChannelsByBus(4);
        return $this;
    }

    public function receive() {
        $this->_logger->info(__METHOD__);
        $this->_processor->receiveData();
        return $this;
    }

    public function parse() {
        $this->_logger->info(__METHOD__);
        $this->_processor->parse();
        return $this;
    }

    public function process() {
        $this->_logger->info(__METHOD__);
        $this->_processor->processNormal();
        return $this;
    }

}
